Subject: RE: emacs on cygwin
From: "Kris Thielemans" <[email-masked]>
To: "Bjoern Kahl AG Resy" <[email-masked]>, "David Starks-Browning" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 10 Oct 2002 12:11:18 +0100

Hi Bjoern,

that's interesting, as emacs -nw doesn't work for me... Could you offer a
bit more detail on what you mean with remote execution? Where do you com
from? Which daemon are you using?

To add to my tests I reported in my previous mail:
- I am on my NT PC
- I telnet (using cygwin's telnet) to my NT PC
- \cygwin\cygwin, emacs- nw

This is a lot better than when I telnetted from my linux box. The display is
ok now. However, arrow keys don't work (they get entered as ABC etc. i.e.
the last part of the ANSI sequence), and Ctrl-C still beeps and doesn't get
entered into emacs.

(By the way, arrowkeys don't work in bash as well, but ctrl-c does seem to).

Kris

>
>  I have installed Cygwin including the GNU-emacs package offered by
>  cygwin-setup. I use the GNU-emacs both, with X11 and in terminal
>  (emacs -nw) mode. No problems in local or remote (via ssh) execution.
>  Works well in xterm (emacs -nw), direkt via X11 (emacs draws its own
>  window) and in cygwin-terminal (cygwin.bat and "emacs -nw").
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/